ru.bitel.bgbilling.kernel.contract.param.common.service

## Interface ContractParameterService

-     public interface ContractParameterService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteContractParameterPref(int paramPrefId)` Обновление(id>0)/создание(id<1) элемента справочника типа параметра.
    `ContractParameterPref` | `getContractParameterPref(int pid)` Получение одного конкретного параметра договора.
    `java.util.List<ContractParameterPref>` | `getContractParameterPrefList(int paramType)` Получение списка всех параметров договора определенного заданного типа.
    `void` | `moveContractParameterPref(int paramPrefId, boolean direction)` Изменить позицию парамтра .
    `int` | `updateContractParametersPref(ContractParameterPref paramPref)` Обновление(id>0)/создание(id<1) элемента справочника типа параметра.
    `void` | `updateSortPosition(java.util.List<ContractParameterPref> list)` Перенос параметра на любую строку

- - ### Method Detail

    - #### getContractParameterPref

          ContractParameterPref getContractParameterPref(int pid)
                                                  throws ru.bitel.bgbilling.common.BGException

      Получение одного конкретного параметра договора.
      Parameters:
        `pid` - - код параметра договора
      Returns:
        параметр договора
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractParameterPrefList

          java.util.List<ContractParameterPref> getContractParameterPrefList(int paramType)
                                                                      throws ru.bitel.bgbilling.common.BGException

      Получение списка всех параметров договора определенного заданного типа.
      Parameters:
        `paramType` - - тип параметра договора. Может быть:
    - 1 - текст
    - 2 - адрес
    - 3 - email
    - 5 - флаг
    - 6 - дата
    - 7 - список
    - 8 - ссылка на другой договор
    - 9 - телефон
    - 10 - разделитель
    - 11 - мультисписок
      Если передать < 1, то вернет все параметры.
      Returns:
        список параметров
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateContractParametersPref

          int updateContractParametersPref(ContractParameterPref paramPref)
                                    throws ru.bitel.bgbilling.common.BGException

      Обновление(id>0)/создание(id<1) элемента справочника типа параметра.
      Parameters:
        `paramPref` - - элемент справочника типа параметра.
      Returns:
        - ид параметра
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContractParameterPref

          int deleteContractParameterPref(int paramPrefId)
                                   throws ru.bitel.bgbilling.common.BGException

      Обновление(id>0)/создание(id<1) элемента справочника типа параметра.
      Parameters:
        `paramPref` - - элемент справочника типа параметра.
      Returns:
        - ид параметра
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moveContractParameterPref

          void moveContractParameterPref(int paramPrefId,
                                         boolean direction)
                                  throws ru.bitel.bgbilling.common.BGException

      Изменить позицию парамтра .
      Parameters:
        `direction` - - treu - вверз, false - вниз
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateSortPosition

          void updateSortPosition(java.util.List<ContractParameterPref> list)
                           throws ru.bitel.bgbilling.common.BGException

      Перенос параметра на любую строку
      Parameters:
        `list` - - с новыми значениями sort
      Throws:
        `ru.bitel.bgbilling.common.BGException`